[med-svn] r2413 - in trunk/community/infrastructure: . livecd
smoe-guest at alioth.debian.org
smoe-guest at alioth.debian.org
Sat Aug 16 00:33:29 UTC 2008
Author: smoe-guest
Date: 2008-08-16 00:33:28 +0000 (Sat, 16 Aug 2008)
New Revision: 2413
Added:
trunk/community/infrastructure/livecd/
trunk/community/infrastructure/livecd/README
trunk/community/infrastructure/livecd/debian-med.conf.template
trunk/community/infrastructure/livecd/prepare_debian-med_usbstick.sh
Log:
A script preparing a Debian-Med live CD. With my last try I went into a squashfs problem, so I cannot tell it would be fully up and running, yet.
Best,
Steffen
Added: trunk/community/infrastructure/livecd/README
===================================================================
--- trunk/community/infrastructure/livecd/README (rev 0)
+++ trunk/community/infrastructure/livecd/README 2008-08-16 00:33:28 UTC (rev 2413)
@@ -0,0 +1,14 @@
+The experts for preparing Live CDs are probably within the
+live-helper group. They have prepared a Wiki page underneath
+http://debian-live.alioth.debian.org/.
+
+This folder is meant ot collect scripts to
+ prepare live CDs for our needs
+ share ideas, images, ..
+to achieve such.
+
+Somebody coming in saying that this whole approach is rotten
+and some functionality provided by the live-helper team already
+should be used instead is much welcome.
+
+Steffen <moeller at debian.org> 2008
Added: trunk/community/infrastructure/livecd/debian-med.conf.template
===================================================================
--- trunk/community/infrastructure/livecd/debian-med.conf.template (rev 0)
+++ trunk/community/infrastructure/livecd/debian-med.conf.template 2008-08-16 00:33:28 UTC (rev 2413)
@@ -0,0 +1,30 @@
+# GPLed (C) Steffen Moeller <moeller at debian.org>
+
+# Determine a two-letter country code for the Debian-mirror
+# from which to retrieve the data.
+country="de"
+
+# Select an architecture to work with
+architecture="i386"
+#architecture="amd64" # has compatibility issues with VirtualBox
+
+# Specify additional servers to download packages from, comma-separated
+# if there are multiple ones
+unofficialServers="http://pc02.inb.uni-luebeck.de:8080/~moeller/debian/unstable"
+
+# What Debian distribution should be taken?
+#distribution="sarge"
+#distribution="etch"
+#distribution="lenny"
+distribution="sid"
+
+# which packages from non-free should be added?
+# let selection begin with a colon if not empty
+nonfree="clustalw"
+
+# which packages from experimental should be added?
+# let selection begin with a colon if not empty
+experimental="infernal"
+
+# what selection of extraneous packages should be considered?
+extraneous="tomcat5.5"
Added: trunk/community/infrastructure/livecd/prepare_debian-med_usbstick.sh
===================================================================
--- trunk/community/infrastructure/livecd/prepare_debian-med_usbstick.sh (rev 0)
+++ trunk/community/infrastructure/livecd/prepare_debian-med_usbstick.sh 2008-08-16 00:33:28 UTC (rev 2413)
@@ -0,0 +1,67 @@
+#!/bin/bash
+
+d=`dirname $0`
+
+set -e
+
+if [ ! -r $d/debian-med.conf ]; then
+ echo "Falling back to debian-med.conf.template"
+ cp $d/debian-med.conf.template $d/debian-med.conf
+fi
+
+. $d/debian-med.conf
+
+if [ -z "$country" ]; then
+ c=`hostname --long|tr "." "\n" | tail -1 | tr -d '\n'`
+ if [ "edu" == "$c" -o "com" == "$c" ]; then
+ $country=".us"
+ elif echo -n "$c" |egrep '^..$'; then
+ echo "Assigning country and Debian mirror to '$c'"
+ $country=".$c"
+ fi
+else
+ country=".$country"
+fi
+
+command="lh_config --binary-images usb-hdd --packages-list kde-core "
+command="$command --packages 'linux-image-686 initramfs-tools med-bio med-bio-dev $nonfree $experimental $extraneous'"
+command="$command --mirror-bootstrap=http://ftp$country.debian.org/debian"
+
+if [ -z "$distribution" ]; then
+ echo "distribution not explicitly set."
+else
+ command="$command --distribution $distribution"
+fi
+command="$command --losetup losetup.orig"
+
+if [ -z "$architecture" ]; then
+ echo "architecture not explicitly set."
+else
+ command="$command --architecture $architecture"
+fi
+
+$command
+
+if [ false -a -n "$unofficialServers" ]; then
+ rm -rf config/chroot_sources/sources.list.bootstrap
+ rm -rf config/chroot_sources/sources.list.binary
+ for server in `echo $unofficialServers|tr "," "\n"`; do
+ l="deb $server ./"
+ echo $l >> config/chroot_sources/sources.list.bootstrap
+ echo $l >> config/chroot_sources/sources.list.binary
+ done
+fi
+
+lh_build && echo lh_build completed successfully \
+ || (echo lh_build did not complete nicely; exit -1)
+lh_binary && echo lh_binary completed successfully \
+ || (
+cat <<EOINFO
+lh_binary did not complete nicely. Please check:
+ * loop-aes-modules-2.6-amd64 is installed and
+ functional with your current kernel.
+Do a 'lh_clean --binary' and run `basename $0|tr -d '\n'` again.
+EOINFO
+ exit -1
+)
+
Property changes on: trunk/community/infrastructure/livecd/prepare_debian-med_usbstick.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the debian-med-commit
mailing list